class daemon:
    parent = None

    def restart_daemon(self, args):
        result = []
        res = self.stop_daemon(args)
        if res[0].get("_ERROR"):
            return res
        res = self.start_daemon(args)
        if res[0].get("_ERROR"):
            return res
        result.append({"status":"restarted"})
        return result        

    def stop_daemon(self, args):
        result = []
        name = args.get("name")
        if not name or name == "" :
            result.append({"_ERROR":"Could not stop daemon, bad name"})
            return result
        bridge = self.parent
        if not bridge._stop_daemon(name):
            result.append({"_ERROR":"Could not stop daemon"})
            return result
        result.append({"status":"stopped"})
        return result
    def start_daemon(self, args) :
        result = []
        name = args.get("name")
        if not name or name == "" :
            result.append({"_ERROR":"Could not start daemon, bad name"})
            return result
        bridge = self.parent
        if not bridge._start_daemon(name):
            result.append({"_ERROR":"Could not start daemon"})
            return result
        result.append({"status":"started"})
        return result

