"""
POWER BUSINESS SYSTEMS
Copyright 2010 Power Business Systems <jasper@powerbs.co.za>
All Rights Reserved.

Licensed under The Artistic License 2.0
See LICENSE for details or
http://www.perlfoundation.org/artistic_license_2_0
"""

import time

clan_cfg_file = "clanrc"
clan_cfg = __import__(clan_cfg_file)

def log (msg) :
    if not clan_cfg.enable_log:
        return
    logfile = clan_cfg.logfile
    if not logfile :
        logfile = "clan.log"
    l = open(logfile, "a")
    l.write("%s : %s\n" % (time.strftime("%Y-%m-%d %H:%M:%S"), msg))
    l.close()

