"""
POWER BUSINESS SYSTEMS
Copyright 2010 Power Business Systems <jasper@powerbs.co.za>
All Rights Reserved.

Licensed under The Artistic License 2.0
See LICENSE for details or
http://www.perlfoundation.org/artistic_license_2_0
"""


import sys
import os
import thread
import time
import subprocess
from signal import SIGTERM
sys.path.append(os.path.abspath('.'))
sys.path.append("lib")
sys.path.append("gui")
sys.path.append("daemons")
sys.path.append("modules")
sys.path.append("http")       
from log import log
from clan_client import clan_client
from clan_host import clan_host

#add version things.

ch = None

def run_clan_host():
    global ch
    if sys.modules.get("clan_host"):
        sys.modules.pop("clan_host")
    from clan_host import clan_host
    while 1:  # added the loop so bridge might attempt to restart itself if something goes bad
        cfg = __import__("clanrc")
        ch = clan_host(cfg.hostname, "",  cfg.read_port)
        try :
            ch.run()
        except :
            log(sys.exc_value)
        time.sleep(3)

def close_clan_host():
    global ch
    ch.running = False
    time.sleep(2)

def close_all():
    close_clan_host()
    time.sleep(1)
    os.kill(os.getpid(), SIGTERM)


def run():
    try:
        cfg = __import__("clanrc")
        cc = clan_client("localhost", cfg.read_port)
        if cc.is_connected():
            return
        run_clan_host() 
    except:
        print sys.exc_value
        log(sys.exc_value)
        close_all()


if __name__ == "__main__":
    run()
