#!/usr/bin/python

import sys, time, re, os

sys.path.append(os.path.abspath('.'))
sys.path.append("../modules")
sys.path.append("../data")
sys.path.append("../http/orders")        
sys.path.append("../http")       
sys.path.append("../lib")       
sys.path.append("../")       
 
#from bridge_host import *
from clan_host import clan_host
from clan_client import clan_client

clan_cfg_file = "clanrc"
clan_cfg = __import__(clan_cfg_file)

def print_usage () :
    usage = """
    Usage: bridge_rpc.py mod::func [[param1=val1] [param2=val2] ...]\n"""
    print usage

def send_rpc (call, args) :

    cc = clan_client("localhost", clan_cfg.read_port)
    if not cc.is_connected() :
        print "Could not connect to local clan"
        return 
    dict_args = {}
    for a in args :
        arr = re.split(r'=', a)
        if len(arr) < 2 :
            continue        
        dict_args[arr[0]] = arr[1]
    result = cc.rpc(call, dict_args)
    print_results(result.get_all())

def print_results (res_dict) :
    print "\nResults:"
    print "---------------------------------------------"
    for row in res_dict :
        for col in res_dict[row] :
            print "%s\t\t = %s" % (col, res_dict[row][col])
            print "---------------------------------------------"
    print "\n\n"

if len(sys.argv) <= 1 :
    print_usage()
    sys.exit()
args = sys.argv
args.pop(0)
call = args.pop(0) 
send_rpc (call, args)


